\documentclass[12pt,a4paper]{article}
\usepackage{pre}

\begin{document}

\input{title.tex}

\input{problem.tex}
\input{requirements.tex}
\input{solution.tex}
\input{results.tex}
\input{evaluation.tex}
\input{conclusion.tex}

\clearpage

\section*{Acronyms}
\label{sec:acronyms}

\begin{acronym}[ECDSA]
  \acro{AES}  {Advanced Encryption Standard}
  \acro{CA}   {Certification Authority}
  \acro{CTR}  {Counter Mode}
  \acro{DH}   {Diffie-Hellman}
  \acro{EC}   {Elliptic Curve}
  \acro{ECDH} {Elliptic Curve Diffie-Hellman}
  \acro{ECDSA}{Elliptic Curve Digital Signature Algorithm}
  \acro{HMAC} {Hash-based Message Authentication Code}
  \acro{HTTP} {Hypertext Transfer Protocol}
  \acro{IV}   {Initialization Vector}
  \acro{KEK}  {Key Encrypting Key}
  \acro{MITM} {Man-in-the-Middle}
  \acro{PFS}  {Perfect Forward Secrecy}
  \acro{RSA}  {Rivest-Shamir-Adleman}
  \acro{SHA}  {Secure Hash Algorithm}
  \acro{SMS}  {Short Message Service}
  \acro{TLS}  {Transport Layer Security}
  \acro{UDP}  {User Datagram Protocol}
  \acro{UTF-8}{8-bit Unicode Transformation Format}
\end{acronym}

\bibliographystyle{acm}
\bibliography{references}

\clearpage

\appendix
\input{appendix.tex}

\end{document}
